# m1 = MatrixMPI(numpy.random.uniform(0, 1, 1_000_000), (1000, 1000))

from mpi4py import MPI
from matrix_mpi import MatrixMPI
from vector_mpi import VectorMPI

comm = MPI.COMM_WORLD
rank = comm.Get_rank()
size = comm.Get_size()

m1 = MatrixMPI(list(range(1, 21)), (4, 5))
m2 = MatrixMPI(list(range(1, 16)), (5, 3))

m_mul = m1 * m2

v1 = VectorMPI(list(range(1, 21)))
v2 = VectorMPI(list(reversed(list(range(1, 21)))))

v_add = v1 + v2
v_mul = v1.T() * v2

if rank == 0:
    print(m_mul)
    print("---")
    print(v_add)
    print(v_mul)
